Bug 193588 - Regression(PSON) Content blockers are sometimes lost on back navigation cross-site
Summary: Regression(PSON) Content blockers are sometimes lost on back navigation cross...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on: 193680
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-18 12:44 PST by Chris Dumez
Modified: 2019-01-23 11:51 PST (History)
5 users (show)

See Also:


Attachments
Patch (9.10 KB, patch)
2019-01-18 12:52 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2019-01-18 12:44:16 PST
Content blockers are sometimes lost on back navigation cross-site.
Comment 1 Chris Dumez 2019-01-18 12:44:38 PST
<rdar://problem/47131566>
Comment 2 Chris Dumez 2019-01-18 12:52:42 PST
Created attachment 359529 [details]
Patch
Comment 3 Chris Dumez 2019-01-18 13:54:25 PST
Please disregard the red bubbles, EWS is in a bad state and times out. Mac-wk2 is green so I think we're good.
Comment 4 Chris Dumez 2019-01-18 15:03:00 PST
Comment on attachment 359529 [details]
Patch

Clearing flags on attachment: 359529

Committed r240178: <https://trac.webkit.org/changeset/240178>
Comment 5 Truitt Savell 2019-01-22 09:55:46 PST
looks like https://trac.webkit.org/changeset/240178/webkit 

caused 6 api failures on debug
 https://build.webkit.org/builders/Apple%20High%20Sierra%20Debug%20WK2%20%28Tests%29/builds/6280

confirmed using: run-api-tests --root debug-240178 --debug

these api failures did not occur on debug-240177
Comment 6 Chris Dumez 2019-01-22 10:26:51 PST
(In reply to Truitt Savell from comment #5)
> looks like https://trac.webkit.org/changeset/240178/webkit 
> 
> caused 6 api failures on debug
>  https://build.webkit.org/builders/
> Apple%20High%20Sierra%20Debug%20WK2%20%28Tests%29/builds/6280
> 
> confirmed using: run-api-tests --root debug-240178 --debug
> 
> these api failures did not occur on debug-240177

Investigating, thanks.
Comment 7 Chris Dumez 2019-01-23 11:51:41 PST
API tests fixed via dependency bug.